Subject: Re: [AVT] draft-ietf-avt-rtp-speex-02.txt

From: "Alfred E. Heggestad" <[email-masked]>
Date: Tue, 03 Jul 2007 21:10:05 +0200

Colin Perkins wrote:
> On 19 Jun 2007, at 10:51, Colin Perkins wrote:
>> On 19 Jun 2007, at 10:15, Aymeric Moizard wrote:
>>> There is an issue with section:
>>> "    4.1.1. Registration of media type audio/speex"
>>>
>>> First, the mode parameter text is defined using the same text as for 
>>> the SDP usage text: It sounds clear to me that in case "mode" is used 
>>> as a
>>> media parameter, it cannot be possible to specify several "mode".
>>>
>>> Although, I don't know much about media type.
>>>
>>> Thus, I think we have to keep the definition of mode in the SDP
>>> usage section.
>>
>> There shouldn't be any parameter definitions in the SDP usage section. 
>> That section is only used to specify how the media type parameters are 
>> represented in SDP.
> 
> Having now had time to read the draft in detail, what's needed is 
> something like:
> 
>    The information carried in the media type specification has a
>    specific mapping to fields in the Session Description Protocol (SDP)
>    [5], which is commonly used to describe RTP sessions.  When SDP is
>    used to specify sessions employing the Speex codec, the mapping is
>    as follows:
> 
>    o  The media type ("audio") goes in SDP "m=" as the media name.
> 
>    o  The media subtype ("speex") goes in SDP "a=rtpmap" as the encoding
>       name. The required parameter "rate" also goes in "a=rtpmap" as the
>       clock rate.
> 
>    o  The parameters "ptime" and "maxptime" go in the SDP "a=ptime" and
>       "a=maxptime" attributes, respectively.
> 
>    o  Any remaining parameters go in the SDP "a=fmtp" attribute by
>       copying them directly from the media type string as a semicolon
>       separated list of parameter=value pairs.
> 
>    Some example SDP session descriptions utilizing Speex encodings
>    follow.
> 
> To replace much of the existing text in the first half of Section 5. The 
> rationale is that all parameters are defined as parameters of the media 
> type, and the SDP usage just describes how those media type parameters 
> are encoded into SDP.
> 

Colin,

thanks for your input. I will update the draft with your suggestions and
include it in -03

/alfred

> --Colin Perkins
> http://csperkins.org/
> 
> 
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt